# Generated by Django 3.2.2 on 2021-06-14 15:47

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('operators', '0006_add_domain'),
    ]

    operations = [
        migrations.CreateModel(
            name='ServiceOrderSlackMessage',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('type_repeats', models.CharField(choices=[('I', 'Minutos'), ('O', 'Una vez'), ('H', 'Cada Hora'), ('D', 'Diariamente'), ('W', 'Semanalmente'), ('M', 'Mensualmente'), ('Q', 'Trimestralmente'), ('Y', 'Anualmente')], default='M', max_length=1, verbose_name='Type of repetitions')),
                ('number_repeats', models.IntegerField(validators=[django.core.validators.MinValueValidator(-1)], verbose_name='Number of repetitions')),
                ('channel', models.CharField(max_length=100)),
                ('start', models.DateTimeField()),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='iclass_serviceorderslackmessage_creator', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel')),
                ('schedule', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='django_q.schedule')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='iclass_serviceorderslackmessage_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalServiceOrderSlackMessage',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('type_repeats', models.CharField(choices=[('I', 'Minutos'), ('O', 'Una vez'), ('H', 'Cada Hora'), ('D', 'Diariamente'), ('W', 'Semanalmente'), ('M', 'Mensualmente'), ('Q', 'Trimestralmente'), ('Y', 'Anualmente')], default='M', max_length=1, verbose_name='Type of repetitions')),
                ('number_repeats', models.IntegerField(validators=[django.core.validators.MinValueValidator(-1)], verbose_name='Number of repetitions')),
                ('channel', models.CharField(max_length=100)),
                ('start', models.DateTimeField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel')),
                ('schedule', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='django_q.schedule')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical service order slack message',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
